* {
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
    width: 100%;
}

body {
    font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    color: #222;
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    font-size: 13px;
    box-sizing: border-box;
}

header.app-header {
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0px;
    align-items: flex-end;
    border-bottom: 1px solid #51517a;
    background-image: linear-gradient(#7c7c9c, #585874);
    border-bottom: 1px solid #b5b5b5;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.header-left {
    padding: 12px 10px;
    text-align: center;
    color: white;
}

.header-right {
    padding: 12px 10px;
    color: white;
}

header.app-header h2 {
    margin: 0;
    font-size: 20px;
    font-weight: 600;
}

div.header {
    display: flex;
    width: 100%;
    padding: 0px 0px 0px 8px;
}

h2.company-name {
   text-shadow: 1px 1px 2px #000000; 
}

.container {
    display: flex;
    flex-direction: row;
    height: 100%;
    width: 100%;
}

nav {
    font-family: system-ui, sans-serif;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    width: 150px;
	/*background: #f2f2f2;*/
	background: #e6e6e6;
    padding: 0px 10px;
    border-radius: 6px;
    border: 1px solid #aaa;
    box-shadow: 0 2px 4px rgba(0,0,0,0.08);
    height: 100%;
}

.nav-section-header {
    font-weight: 800;
    color: #555;
    margin: 0px; /* top and bottom spacing */
    pointer-events: none;
}

ul.nav-section {
    list-style: none;
    padding: 0px;
    margin-bottom: 8px;
}

nav ul {
  list-style-type: none;
  padding: 0;
}

nav li {
    font-size: 14px;
    padding: 3px 0px;
}

nav li a {
  display: block;
  color: #222;
  padding: 4px 5px;
  text-decoration: none;
  border-radius: 4px;
  font-size: 14px;
  transition: background 0.2s ease-in-out;
}

nav li a.active {
    background-color: #787091;;
    color: white;
}

nav li a:hover:not(.active) {
    background-color: #787091;;
    color: white;
}

div.main {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    padding: 0px 0px 0px 0px;
    height: 100%;
}

div.table-main {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    margin: 0px 0px 0px 1px;
}

div.horizontal-spacer {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    margin: 2px 0px;
}

div.search-pane {
    display: flex;
    flex-direction: row;
    box-sizing: border-box;
    margin: 0px 0px 1px 0px;
    padding: 4px 4px;
    background-image: linear-gradient(#7c7c9c, #585874);
    color: white;
    border: 1px solid #484848;
    border-radius: 6px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
}

.search-pane input[type="text"] {
    margin: 0 6px;
    padding: 3px 3px;
    font-size: 13px;
    border: 1px solid #ccc;
    border-radius: 4px;
    min-width: 130px;
}

.search-pane select {
    padding: 1px 3px;
    font-size: 13px;
    border: 1px solid #ccc;
    border-radius: 4px;
    min-width: 160px;
}

.search-pane input[type="submit"],
.search-pane input[type="button"] {
    border-radius: 6px;
    margin: 0px 3px;
}

div.multi-pane-vert-main {
    display: flex;
    flex-direction: row;
    width: 100%;
}

div.task-list {
    display: flex;
    flex-direction: column;
    margin: 0px 3px 0px 3px;
}
div.multi-pane-vert-p2 {
    display: flex;
    flex-direction: column;
    width: 100%;
}
div.per-task {
    display: flex;
    margin: 2px 0px;
}

.sub-nav-bar {
    width: 100vw;
}

footer {
    display: flex;
    height: 25px;
    background-color: #668;
    padding: 10px;
    text-align: center;
    color: white;
	border: 0px solid blue;
}

.form-search-contract {
    border-radius: 10px;
}

.form-search-contract label {
    width: 90px;
    display: inline-block;
}


footer p {
    font-size: 10px;
}

.form-add ul {
    list-style-type: none;
}

.form-add li {
    padding: 5px 20px;
	list-style-type: none;
}

.form-add li input {
    padding: 5px 10px;
	width: 120px;
}


input[type=button], input[type=submit], input[type=reset] {
    background-color: #668;
	color: white;
	height: 25px;
	width: 100px;
	text-shadow: none;
}

input[type=text] {
    box-sizing: border-box;
    padding: 1px 1px;
}

input[type=text].medium {
    width: 150px;
    box-sizing: border-box;
}

input[type=text].small-in-tbl {
    width: 80px;
}

input[type=text].small {
    width: 120px;
}

input[type=text].long {
    width: 200px;
}

input[type=text].extra-long {
    width: 250px;
}

input[type=date] {
    box-sizing: border-box;
    padding: 1px 1px;
}

input[type=date].small{
    width: 120px;
}
input[type=date].medium{
    width: 150px;
}
input[type=date].long {
    width: 200px;
}

textarea {
    padding: 2px 2px;
    box-sizing: border-box;
}

textarea.mini {
    height: 3em;
    width: 200px;
}

textarea.tiny {
    height: 115px;
    width: 280px;
}

textarea.tinybuttall {
    width: 280px;
    height: 160px;
}

textarea.small {
    width: 280px;
    height: 115px;
}

textarea.smallbuttall1 {
    height: 14em;
    width: 35em;
}

textarea.medium {
    height: 12em;
    width: 50em;
}

textarea.large{
    height: 32em;
    width: 60em;
}

textarea.task-note {
    box-sizing: border-box;
}

select {
    width: 120px;
    box-sizing: border-box;
    padding: 1px 1px;
}

select.small {
    width: 120px;
}

select.medium {
    width: 150px;
}

select.long {
    width: 200px;
}

select.extra-long {
    width: 330px;
}

.form-search-contract select {
    width: 180px;
}

/*** table layout ***/
div.table-pane {
    display: flex;
    flex-direction: column;
    padding: 0px;
    margin: 0px 0px 2px 2px; 
    box-sizing: border-box;
}

div.table-header {
    display: flex;
    flex-direction: row;
    padding: 5px 5px;
	background: #f2f3f4;
    border: 1px solid #b5b5b5; 
    box-shadow: 1px 1px 1px #b5b5b5, -1px 1px 1px #b5b5b5;
    font-weight: 600;
    font-size: 15px;
    border-radius: 6px 6px 0px 0px;
}

div.table-header-title1 {
    display: flex;
    flex-direction: row;
    box-sizing: border-box;
    font-size: 13px;
}

div.table-header-title2 {
    display: flex;
    flex-direction: row;
    box-sizing: border-box;
    font-size: 13px;
}

div.table-body {
    display: flex;
    flex-direction: column;
	background: white;
    padding: 0px 0px;
    box-shadow: 1px 1px 1px #b5b5b5, -1px 1px 1px #b5b5b5;
    box-sizing: border-box;
    border-radius: 0px 0px 6px 6px;
}


/*** form layout ***/
div.form-pane {
    display: flex;
    flex-direction: row;
    padding: 5px 5px 5px 5px;
    margin: 8px 0px 0px 8px; 
}

div.form-pane-borderless {
    display: flex;
    flex-direction: row;
    padding: 5px 5px 5px 5px;
    margin: 0px 0px 0px 0px; 
}

div.sub-menu {
    display: flex;
    flex-direction: row;
    box-sizing: border-box;
    background-image: linear-gradient(#7c7c9c, #585874);
    color: white;
    margin: 1px 0px 1px 1px;
    padding: 2px 3px;
    border: 1px solid #484848;
    border-radius: 6px;
    box-shadow: 1px 1px 1px #b5b5b5, 1px 1px 1px #b5b5b5;
}

div.sub-menu .left {
    flex: 0;
}

div.sub-menu .right {
    flex: 0;
    text-align: right;
}

a.button {
    color: white;
    text-decoration: none;
    font-weight: 600;
    background-color: #668;
    box-shadow: 1px 1px darkblue;
    padding: 4px 8px 4px 8px;
    border-top: 1px solid #333333;
    border-right: 1px solid #333333;
    border-bottom: 1px solid #333333;
    border-left: 1px solid #333333;
    margin: 4px 1px;
    border-radius: 4px;
}

button.button {
    display: inline-block;
    vertical-align: top; /* aligns baseline to middle of line */

        background-color: #8866aa; /* slightly more vibrant purple-blue */
    box-shadow: 1px 1px #553366; /* darker shade for depth */
  

    color: white;
    text-decoration: none;
    font-weight: 600;
    padding: 4px 8px;
    border: 1px solid #333333;
    margin: 4px 1px;
    border-radius: 4px;
    cursor: pointer;
    font-family: inherit;   /* make font exactly match links */
    font-size: inherit;     /* prevent default button font-size mismatch */
    line-height: 1.2;       /* unify line-height */
}

div.form-pane-shipment-main {
    display: flex;
    flex-direction: column;
    padding: 0px; 
    margin: 1px 0px 0px 2px; 
}

div.form-pane-main {
    display: flex;
    flex-direction: column;
    padding: 0px; 
    margin: 2px 0px 0px 3px; 
}

div.form-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 5px 5px;
	background: #f2f3f4;
    border-top: 1px solid #b5b5b5; 
    border-bottom-color: #b5b5b5;
    box-shadow: -1px -1px 1px #b5b5b5, 1px 1px 1px #b5b5b5;
    border-radius: 6px 6px 0px 0px;
}

div.header-text1 {
    display: flex;
    flex-direction: row;
    font-weight: 800;
    font-size: 18px;
}

p.header2-text {
    display: flex;
    flex-direction: row;
    font-weight: 600;
    font-size: 16px;
}

p.header3-text {
    display: flex;
    flex-direction: row;
    font-weight: 500;
    font-size: 14px;
}

div.myreport-form-header {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 6px 10px;
	background: #f2f3f4;
    border-top: 1px solid #b5b5b5; 
    border-bottom-color: #b5b5b5;
    box-shadow: -1px -1px 1px #b5b5b5, 1px 1px 1px #b5b5b5;
}

p.error-msg {
    font-size: 12px;
    color: red;
}

div.header-text2 {
    display: flex;
    flex-direction: row;
    margin-top: 7px;
    font-weight: 600;
    font-size: 12px;
}

div.form-body {
    display: flex;
    flex-direction: column;
	background: #fafafa;
    padding: 5px 10px;
    box-shadow: -1px 1px 1px #b5b5b5, 1px 1px 1px #b5b5b5, 1px 1px 1px #b5b5b5;
}

.multi-pane-p1 {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    box-sizing: border-box;
    border-top: 1px solid #668;
    border-left: 1px solid #668;
    padding: 0px 0px 0px 4px;
	background: #ebebeb;
    margin: 2px 2px 0px 2px; 
    box-shadow: 1px 1px 1px #b5b5b5, 1px -1px 1px #b5b5b5;
    border-radius: 6px;
}

.single-input {
  display: flex;
}

label.long {
    width: 170px;
}

label.mid-long {
    width: 130px;
}

label.form-std {
    width: 120px;
    display:inline-block;
}

label.medium {
    width: 120px;
}

label.short {
    width: 110px;
}

label.small {
    width: 90px;
}

label.extra-small {
    width: 60px;
}

label.tiny {
    width: 70px;
}

.multi-input {
  display: flex;
  flex-direction: row;
}

.multi-input-space-between {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.form-field {
  display: flex;
  margin: 5px 20px 5px 0px;
}

table {
    table-layout: auto;
    width: 100%;
    border-collapse: collapse;
}

table.form-tbl {
    width: 100%;
    border-collapse: collapse;
}

table.form-tbl td {
    background-color: #fafafa;
    padding: 4px;
    border: 0px;
}

td {
    border: 1px solid #ddd;
    padding: 6px;
}

td.small {
    width: 100px;
}

td.rpt-small {
    font-size: 11px;
    font-weight: 600;
}

td.medium {
    width: 250px;
}

td.large {
    width: 350px;
}

td.shipment-sub-tbl {
    font-size: 11px;
}

td.embbed-in-form-pane {
    font-size: 12px;
    padding-right: 20px;
    padding-left: 30px;
    text-align: center;
}

tr {
    margin: 6px;
    padding: 10px;
}

tr.heading {
}

th {
    white-space: nowrap;
    padding: 6px;
    text-align: left;
    background-color: #668;
    border: 1px solid #484848;
    color: white;
    font-size: 14px;
}

th.embbed-in-form-pane {
    font-size: 12px;
    padding-right: 10px;
    padding-left: 10px;
    text-align: center;
}

th.small {
    padding: 4px 6px;
    text-align: left;
    background-color: #668;
    border: 1px solid #484848;
    color: white;
    font-size: 12px;
}

th.small-sticky {
    position: sticky;
    top: 0;
    padding: 4px 4px;
    text-align: left;
    background-color: #668;
    border: 1px solid #484848;
    color: white;
    font-size: 12px;
}

th.shipment-sub-tbl {
    font-size: 11px;
}

tr:nth-child(even)
{background-color: #f2f2f2;}

/* tabs style */
.tab {
    display:flex;
    flex-direction: row;
    box-sizing: border-box;
    border-top: 1px solid #ccc;
    background-color: #f1f1f1;
    margin: 0px 0px 2px 3px;
    box-shadow: -1px 1px 1px #b5b5b5, 1px 1px 1px #b5b5b5, 1px 1px 1px #b5b5b5;
}

.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
}

.tab button:hover {
    background-color: #ddd;
}

.tab button.active {
    background-color: #ccc;
}

.tab-content {
    display: none;
    padding: 10px 0px 10px 15px;
    margin: 0px 0px 0px 3px;
    box-shadow: -1px 1px 1px #b5b5b5, 1px -1px 1px #b5b5b5;
    box-sizing: border-box;
    background: #FAFAFA;
}

li.doc-list {
    padding: 3px;
}

.error {
    color: red;
}

/* login */
.login-pane {
    display: flex;
    flex-direction: column;
    text-align: center;
    border-top: 1px solid #b5b5b5;
    margin: 30px 0px 0px 30px;
    padding: 24px 32px;
    width: 350px;
    height: 240px;
	background: #f8f8f8;
    border: 1px solid #ddd;
    font-size: 17px;
	border-radius: 8px;
    color: #333;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.login-pane h3 {
    margin-bottom: 20px;
    font-weight: 600;
    font-size: 20px;
    color: #222;
}

input.login {
    width: 80%;
    display: inline-block;
    box-sizing: border-box;
    margin: 8px 0px;
    padding: 8px;
    border: 1px solid #ccc;
    border-width: 1px;
    border-radius: 4px;
}

input.submit {
	width: 80%;
	height: 35px;
	background-color: #787091;
	color: white;
	margin: 8px;
	border: none;
	border-radius: 4px;
	cursor: pointer;
}

/** reports **/
div.adminreport-page-header {
    display: flex;
    flex-direction: row;
    font-weight: 600;
    font-size: 15px;
}

/* productivity */
div.productivity-summary-main {
    display: flex;
    padding: 5px;
    flex-direction: row;
    box-sizing: border-box;
    border-top: 1px solid #b5b5b5; 
    border: 1px solid #b5b5b5;
}
div.productivity-main {
    display: flex;
    padding: 4px;
    flex-direction: row;
    box-sizing: border-box;
    border-top: 1px solid #b5b5b5; 
    border: 1px solid #b5b5b5;
}

div.productivity-form-pane {
    display: flex;
    flex-direction: column;
    margin: 0px 2px; 
}

div.productivity-form-header {
    display: flex;
    flex-direction: column;
    padding: 3px 3px;
	background: #f2f3f4;
    border-top: 1px solid #b5b5b5; 
    border: 1px solid #b5b5b5;
    justify-content: space-between;
    margin: 0px;
}

div.productivity-header-text1 {
    display: flex;
    flex-direction: row;
    font-weight: 600;
    font-size: 14px;
}

/* invoice */
div.invoicesummary-main {
    display: flex;
    flex-direction: row;
    box-sizing: border-box;
}

div.invoice {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    margin: 0px 2px 0px 0px;
}
div.vertical-spacer {
    display: flex;
    box-sizing: border-box;
    width: 10px;
}
p.invoicesummary-total {
    font-size: 15px;
    font-weight: normal;
    color:  #4169E1;
    padding: 5px 0px;
}

div.invoicesummary-form-pane {
    display: flex;
    flex-direction: column;
    margin: 0px 4px; 
}

div.invoicesummary-form-header {
    display: flex;
    flex-direction: column;
    padding: 5px 5px;
	background: #f2f3f4;
    border-top: 1px solid #b5b5b5; 
    border: 1px solid #b5b5b5;
    justify-content: space-between;
}

div.invoicesummary-header-text1 {
    display: flex;
    flex-direction: row;
    font-weight: 600;
    font-size: 14px;
}

div.invoicesummary-form-body {
    display: flex;
    flex-direction: column;
	background: #fafafa;
    padding: 5px 5px;
    border: 1px solid #b5b5b5;
}

